accounts

The accounts query in Bunny's GraphQL API, with its arguments, return type and an example request.

Scope required:

For a complete list of possible response fields see the AccountConnection type.

query accounts ($after: String, $before: String, $first: Int, $last: Int, $filter: String, $viewId: ID, $sort: String, $hasRevenueInFiscalYear: Int) {
  accounts (after: $after, before: $before, first: $first, last: $last, filter: $filter, viewId: $viewId, sort: $sort, hasRevenueInFiscalYear: $hasRevenueInFiscalYear) {
    edges {
      cursor
      node {
        accountTypeId
        addressValidated
        annualRevenue
        arr
        billingCity
        billingContactId
        billingCountry
        billingDay
        billingState
        billingStreet
        billingZip
        code
        consolidatedBilling
        createdAt
        currencyId
        currencyLocked
        currentDate
        customFieldsData
        description
        disableDunning
        displayName
        draftInvoices
        duns
        effectiveBillingDate
        emailsEnabled
        employees
        entityId
        entityUseCode
        fastForwarded
        fastForwarding
        fax
        forwardTo
        forwardedTo
        groupId
        hasChildAccounts
        hasCustomFields
        hasInvoicedCharges
        id
        inHierarchy
        industryId
        integrationManaged
        invoiceTemplateId
        invoicedAccountId
        linkedinUrl
        mrr
        mur
        name
        netPaymentDays
        newQuoteBuilder
        nextRenewal
        ownerUserId
        parentAccountId
        payingAccountId
        phone
        revenueToDate
        sandbox
        shippingCity
        shippingCountry
        shippingState
        shippingStreet
        shippingZip
        taxNumber
        taxNumberValidated
        timezone
        updatedAt
        website
      }
    }
    totalCount
    pageInfo {
      startCursor
      endCursor
      hasNextPage
      hasPreviousPage
    }
  }
}

ArgumentsLink to Arguments section

Name Type Description
after String Returns the elements in the list that come after the specified cursor.
before String Returns the elements in the list that come before the specified cursor.
first Int Returns the first n elements from the list.
last Int Returns the last n elements from the list.
filter String  
viewId ID  
sort String  
hasRevenueInFiscalYear Int  

ResponseLink to Response section